Karaf
  1. Karaf
  2. KARAF-1252

Features core bundle should not depend to shell and management bundles

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 2.2.5, 3.0.0
    • Fix Version/s: 2.2.6, 3.0.0
    • Component/s: karaf-feature
    • Labels:
      None

      Description

      The feature core bundle has explicit Import-Package statements to:

      • org.apache.felix.service.command
      • org.apache.karaf.shell.commands
      • org.apache.karaf.shell.console
      • javax.management
      • javax.management.loading

      whereas it doesn't use it.

      These imports should be removed.

        Activity

        Transition Time In Source Status Execution Times Last Executer Last Execution Date
        Open Open Resolved Resolved
        2h 16m 1 Jean-Baptiste Onofré 05/Mar/12 17:25
        Resolved Resolved Closed Closed
        53d 5h 39m 1 Jamie goodyear 28/Apr/12 00:05
        Jamie goodyear made changes -
        Status Resolved [ 5 ] Closed [ 6 ]
        Jean-Baptiste Onofré made changes -
        Status Open [ 1 ] Resolved [ 5 ]
        Resolution Fixed [ 1 ]
        Jean-Baptiste Onofré made changes -
        Summary Features core bundle should not depend to shell bundles Features core bundle should not depend to shell and management bundles
        Description The feature core bundle has explicit Import-Package statements to:
        - org.apache.felix.service.command
        - org.apache.karaf.shell.commands
        - org.apache.karaf.shell.console

        whereas it doesn't use it.

        These imports should be removed.
        The feature core bundle has explicit Import-Package statements to:
        - org.apache.felix.service.command
        - org.apache.karaf.shell.commands
        - org.apache.karaf.shell.console
        - javax.management
        - javax.management.loading

        whereas it doesn't use it.

        These imports should be removed.
        Guillaume Nodet made changes -
        Field Original Value New Value
        Comment [ I think those packages are needed or were needed at some point to avoid problems with equinox.
        History may be a good way to double check that. ]
        Jean-Baptiste Onofré created issue -

          People

          • Assignee:
            Jean-Baptiste Onofré
            Reporter:
            Jean-Baptiste Onofré
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development